Subject: bug#9030: `where-is' doesn't play well `with with-output-to-string'

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Aug 2011 13:21:42 -0400

>>> Tangentially, I wonder why where-is needs an optional INSERT argument
>>> that means "don't print the result, instead insert it (oh, and use a
>>> slightly different format)".
>> It's clearly meant for interactive use.  I'm not sure if it answers your
>> question, tho.
> For what it's worth, the code that gives what I was actually trting to
> get from `what-is' is `(mapcar 'key-description (where-is-internal
> foo))'.  I don't know if there's a way to get that without using a
> function with "internal" in the name.

Yes, this is not quite right: where-is-internal is not nearly as
internal as the name implies.  It's just the natural function to use,
whereas where-is is the corresponding command.
Maybe we should fix the names to make where-is-internal less scary.

        Stefan